import { select, arc } from 'd3'

const svg = select("svg");

const width = +svg.attr('width');
const height = +svg.attr('height');

const ring_inner_r = 60;
const ring_outter_r = 80;

const cyc1YOffset = -100;

const g = svg
	.append('g')
		.attr('transform', `translate(${width / 2},${height / 2})`);

const cyc1g = g
	.append('g');

const circle_1 = cyc1g
	.attr('transform', `translate(0, ${cyc1YOffset})`)
	.append('path')
    .attr('d', arc()({
      innerRadius: ring_inner_r,
      outerRadius: ring_outter_r,
      startAngle: 0,
      endAngle: Math.PI * 2
  	}))
		.attr("stroke", "black")
  	.attr("stroke-width", 3)
    .attr("fill", "blue");

const cyc2g = cyc1g
	.append('g')
		.attr('transform', `translate(${width / 2}, ${cyc1YOffset})`);

const circle_2 = cyc2g
	.attr('transform', `translate(-80, ${cyc1YOffset+160})`)
	.append('path')
    .attr('d', arc()({
      innerRadius: ring_inner_r,
      outerRadius: ring_outter_r,
      startAngle: 0,
      endAngle: Math.PI * 2
  	}))
		.attr("stroke", "black")
  	.attr("stroke-width", 3)
    .attr("fill", "yellow");

const cyc3g = cyc2g
	.append('g')
		.attr('transform', `translate(${width / 2}, ${cyc1YOffset})`);

const circle_3 = cyc3g
	.attr('transform', `translate(30, ${cyc1YOffset+200})`)
	.append('path')
    .attr('d', arc()({
      innerRadius: ring_inner_r,
      outerRadius: ring_outter_r,
      startAngle: 0,
      endAngle: Math.PI * 2
  	}))
		.attr("stroke", "black")
  	.attr("stroke-width", 3)
    .attr("fill", "black");

const cyc4g = cyc3g
	.append('g')
		.attr('transform', `translate(${width / 2}, ${cyc1YOffset})`);

const circle_4 = cyc4g
	.attr('transform', `translate(100, ${cyc1YOffset+100})`)
	.append('path')
    .attr('d', arc()({
      innerRadius: ring_inner_r,
      outerRadius: ring_outter_r,
      startAngle: 0,
      endAngle: Math.PI * 2
  	}))
		.attr("stroke", "black")
  	.attr("stroke-width", 3)
    .attr("fill", "green");

const cyc5g = cyc4g
	.append('g')
		.attr('transform', `translate(${width / 2}, ${cyc1YOffset})`);

const circle_5 = cyc5g
	.attr('transform', `translate(40, ${cyc1YOffset})`)
	.append('path')
    .attr('d', arc()({
      innerRadius: ring_inner_r,
      outerRadius: ring_outter_r,
      startAngle: 0,
      endAngle: Math.PI * 2
  	}))
		.attr("stroke", "black")
  	.attr("stroke-width", 3)
    .attr("fill", "red");